# UtilitiesController_GetMasterCompanies

Returns a list of all non-obsolete licensed master company IDs that the requesting user has access to as of the requested date.

`GET /api/v1/Utilities/GetMasterCompanies`

**API:** Excise Platform API
**Tag:** UtilitiesController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/UtilitiesController/UtilitiesController_GetMasterCompanies/

## Description

Returns a list of master company details that the requesting user has access to. Only non-obsolete, licensed
master companies are included. The effective date must not be in the future.
            
Each result includes the master company ID, name, deployment status, active status, and licensing information
for Returns Excise and AvaTax Excise products.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `effectiveDate` | string | query | Yes | The effective date used to determine accessible master companies. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a list of master company details available to the requesting user. |  |

## Example Request

```bash
curl -X GET "https://excise.avalara.com/api/v1/Utilities/GetMasterCompanies" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```